<?php
// Добавляем таблицу с настройками уведомлений о новых сообщениях, включаем отправку на e-mail для всех пользователей
run_query("CREATE TABLE IF NOT EXISTS `" . $config['table_prefix'] . "messages_settings`
             (`id` int(11) NOT NULL AUTO_INCREMENT,
              `user_id` int(11) NOT NULL,
              `email_on` tinyint(1) NOT NULL,
              `sms_on` tinyint(1) NOT NULL,
              PRIMARY KEY (`id`)) ENGINE=" . $config['db_engine'] . " DEFAULT CHARSET=utf8");
$result = run_query("SELECT `id` FROM `" . $config['table_prefix'] . "groups`");
while ($row = sql_fetch_assoc($result)) {
    run_query("INSERT INTO `" . $config['table_prefix'] . "messages_settings` (`user_id`, `email_on`, `sms_on`) VALUES (" . intval($row['id']) . ", 1, 0)");
}
?>